package com.yizhi.wechat.application.vo.wechat;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
@Data
@Api(tags = "TrAccountUserinfoVO", description = "用户数信息返回")
public class TrAccountUserinfoVO {

    @ApiModelProperty(value = "主键 唯一标识")
	private Long id;

    @ApiModelProperty(value = "用户id")
	private Long accountId;

    @ApiModelProperty(value = "微信公众号服务id")
	private String wechatuserid;

    @ApiModelProperty(value = "微信公众号服务unionId")
	private String unionId;

    @ApiModelProperty(value = "站点Id")
    private Long siteId;

    @ApiModelProperty(value = "企业id")
	private Long companyId;

    @ApiModelProperty(value = "用类型 0 普通微信公众号用户 1企业微信服务号用户,2 小程序")
    private Integer type;

    @ApiModelProperty(value = "绑定到开放平台标志 0 未绑定 1 已经绑定")
    private Integer bindType;

    @ApiModelProperty(value = "创建时间")
	private Date createTime;

    @ApiModelProperty(value = "是否删除 0 未删除 1删除")
	private Integer isDeleted;

    @ApiModelProperty(value = "0 不增加新用户, 1 增加新用户到系统")
    private Integer isAddedUser;

    @ApiModelProperty(value = "用户头像")
    private String headImgUrl;

    @ApiModelProperty(value = "返回code")
    private String code;
}
