package com.yizhi.application.service;

import com.yizhi.application.domain.PublicPlatformConfig;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lilingye
 * @since 2020-2-12
 */
public interface IAccessTokenService {
    /**
     * 获取token
     * @param publicPlatformConfig
     * @return
     */
    String getAccessToken(PublicPlatformConfig publicPlatformConfig);

    /**
     * 生成accessToken 签名使用
     * @param publicPlatformConfig
     * @return
     */
    String insetWeChatAccessToken(PublicPlatformConfig publicPlatformConfig);

    /**
     * 获取jsApiTicket
     * @param access_token ACCESSTOKEN
     * @param publicPlatformConfig 配置信息
     * @return
     */
    String addJsApiTicket(String access_token,PublicPlatformConfig publicPlatformConfig);
}
